<?php
function plugin_install()
{
  $q = '
ALTER TABLE '.IMAGES_TABLE.' ADD COLUMN `lat` DOUBLE(8,6)';
  pwg_query($q);
  
  $q = '
ALTER TABLE '.IMAGES_TABLE.' ADD INDEX images_lat(`lat`)';
  pwg_query($q);

  $q = '
ALTER TABLE '.IMAGES_TABLE.' ADD COLUMN `lon` DOUBLE(9,6)';
  pwg_query($q);
  
  $q = '
INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
  VALUES
  ("gmaps_api_key","","Google Maps API key")
;';
  pwg_query($q);
}

function plugin_activate()
{
  $dir_name = basename( dirname(__FILE__) );
  $c = <<<EOD
<?php
define('PHPWG_ROOT_PATH','./');
include_once( PHPWG_ROOT_PATH. 'plugins/$dir_name/map.php');
?>
EOD;
  $fp = fopen( PHPWG_ROOT_PATH.'map.php', 'w' );
  fwrite( $fp, $c);
  fclose( $fp );

	$old = dirname(__FILE__).'/_rvgm_config.dat';
	if ( is_file($old) )
	{
	  global $conf;
		$dest = $conf['local_data_dir'].'/plugins/'.basename(dirname(__FILE__)).'.dat';
	  if (!file_exists($dest) )
	  {
	    mkgetdir( dirname($dest) );
	  	copy( $old, $dest );
	  }
	  unlink( $old );
	}
}

function plugin_deactivate()
{
  @unlink( PHPWG_ROOT_PATH.'map.php' );
  rvm_invalidate_cache();
}

function plugin_uninstall()
{
  $q = '
ALTER TABLE '.IMAGES_TABLE.' DROP COLUMN `lat`';
  pwg_query( $q );

  $q = '
ALTER TABLE '.IMAGES_TABLE.' DROP COLUMN `lon`';
  pwg_query( $q );

  $q = '
DELETE FROM '.CONFIG_TABLE.' WHERE param IN("gmaps_api_key","gmaps_auto_sync")';
  pwg_query( $q );
  
  global $conf;
	$dest = $conf['local_data_dir'].'/plugins/'.basename(dirname(__FILE__)).'.dat';
  @unlink( $dest );
}

?>